# Class SynthFormattedTextFieldUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicTextFieldUI
javax.swing.plaf.synth.SynthTextFieldUI
javax.swing.plaf.synth.SynthFormattedTextFieldUI

All Implemented Interfaces:
  `SynthConstants, SynthUI, ViewFactory`

public class SynthFormattedTextFieldUI extends SynthTextFieldUI
Provides the Synth L&F UI delegate for `JFormattedTextField`.

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

## Field Summary

### Fields declared in interface SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

## Constructor Summary

Constructors
Constructor
Description
`SynthFormattedTextFieldUI()`
Constructs a `SynthFormattedTextFieldUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Creates a UI for a JFormattedTextField.
`protected String`
`getPropertyPrefix()`
Fetches the name used as a key to lookup properties through the UIManager.

### Methods declared in class SynthTextFieldUI

`getContext, paint, paintBackground, paintBorder, propertyChange, update`

### Methods declared in class BasicTextFieldUI

`create, getBaseline, getBaselineResizeBehavior`

### Methods declared in class BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, viewToModel, viewToModel`

### Methods declared in class TextUI

`getToolTipText2D, modelToView2D, viewToModel2D`

### Methods declared in class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynthFormattedTextFieldUI

public SynthFormattedTextFieldUI()
Constructs a `SynthFormattedTextFieldUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Creates a UI for a JFormattedTextField.

Parameters:
  `c` - the formatted text field
Returns:
  the UI

### getPropertyPrefix

protected String getPropertyPrefix()
Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

Overrides:
  `getPropertyPrefix` in class `BasicTextFieldUI`
Returns:
  the name "FormattedTextField"